Package org.apache.tools.ant.util

## Class FileTokenizer

- java.lang.Object
- - org.apache.tools.ant.ProjectComponent
  - - org.apache.tools.ant.util.FileTokenizer

All Implemented Interfaces:
  `java.lang.Cloneable`, `Tokenizer`

Direct Known Subclasses:
  `TokenFilter.FileTokenizer`

    public class FileTokenizer
    extends ProjectComponent
    implements Tokenizer

Class to read the complete input into a string.

Since:
  Ant 1.7

### Field Summary

### Fields inherited from class org.apache.tools.ant.ProjectComponent

`description, location, project`

### Constructor Summary

Constructors
`FileTokenizer()`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.String` `getPostToken()` Return the intra-token string
`java.lang.String` `getToken​(java.io.Reader in)` Get the complete input as a string

### Methods inherited from class org.apache.tools.ant.ProjectComponent

`clone, getDescription, getLocation, getProject, log, log, setDescription, setLocation, setProject`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### FileTokenizer

    public FileTokenizer()

### Method Detail

#### getToken

    public java.lang.String getToken​(java.io.Reader in)
                              throws java.io.IOException

Get the complete input as a string

Specified by:
  `getToken` in interface `Tokenizer`
Parameters:
  `in` - the reader object
Returns:
  the complete input
Throws:
  `java.io.IOException` - if error reading

#### getPostToken

    public java.lang.String getPostToken()

Return the intra-token string

Specified by:
  `getPostToken` in interface `Tokenizer`
Returns:
  an empty string always